@mixin title_align(){
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
}
@mixin align_for_todo_item(){
    padding-top: 10px;
    padding-bottom: 10px;
    .input-group-item{
        margin-top: 20px;
        .input-group-item__button{
            .input-group-item__button--bold{
                color: white;
                font-weight: bold;
            }
        }
    }
    &--center{
        text-align: center;
    }
}
@mixin align_for_button(){
    margin: 0 5px;
    border-radius: 50px;
    font-weight: bold;
}
@mixin border_right_radius($prefix){
    @if $prefix == add {
        border-top-right-radius: 0px;
        border-bottom-right-radius: 0px;
    }
    @else{
        border-top-right-radius: 30px;
        border-bottom-right-radius: 30px;
    }
}

@mixin align_for_filter_and_add_item_input($prefix){
    // If we pass $prefix is add => We will align for .add-input and .add-button
    margin-top: 10px;
    margin-bottom: 10px;
    .input-group--border{
        border: 2px solid black; border-radius: 30px;
        .#{$prefix}-input{
            border-top-left-radius: 30px;
            border-bottom-left-radius: 30px;
            @include border_right_radius($prefix);
            outline:none !important;
            box-shadow: none; 
            border: transparent; 
            background-color: white;
        }
        .#{$prefix}-button{
            &--css{
                border-top-left-radius: 0px;
                border-bottom-left-radius: 0px;
                border-top-right-radius: 30px;
                border-bottom-right-radius: 30px;
                color: green;
                background-color: white;
                border-color: white;
                font-weight: bold;
            }
        }
    }
}

@mixin align_for_filter_display(){
    // border: 2px solid black;
    display: flex;
    margin: 10px 0px;
    border-radius: 50px;
    color: white;
    font-weight: bold;
    &__name{
        width: 70%;
        padding: 10px;
        word-wrap: break-word;
        justify-content: center;
        align-items: center;
    }
    &__status{
        width: 30%;
        padding: 10px;
        word-wrap: break-word;
        display: flex;
        justify-content: right;
    }
}